%define upstream_name    DBICx-TestDatabase
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A DBICx::TestDatabase you can add your 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBICx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Test::More)
BuildRequires: perl(ok)
BuildArch:  noarch

%description
This module creates a temporary SQLite database, deploys your DBIC schema,
and then connects to it. This lets you easily test your DBIC schema. Since
you have a fresh database for every test, you don't have to worry about
cleaning up after your tests, ordering of tests affecting failure, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Feb 22 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 56507
- update to 0.04

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38577
- mageia rebuild
- imported package perl-DBICx-TestDatabase

